GET /trade/v1/{chainId}/quote/single
Find all available quotes for single-chain trade via Unizen DEX Aggregator
By passing in the params, you will receive all available quotes for the trade from our supported DEXes
Chain id of the network
56Possible values: The address of the token being traded. If native, use address zero.
0xbb4CdB9CBd36B01bD1cBaEBF2De08d9173bc095cThe address of the token to receive in exchange. If native, use address zero.
0x55d398326f99059fF775485246999027B3197955Amount of tokens being traded
1000000000000000000The address of the sender, if you want to estimate gas
0x54c47034887C582Fc1Af4a9a3b68180a8a9eF2d2The maximum slippage allowed for the quote, in decimal form. Defaults to 0.005, which means 0.5% slippage.
0.005The timestamp of the transaction deadline.
1684459981List of dexes excluded by chain
{"1":["0x0000000000000"]}The percentage of price impact protection, from 0 to 1
0.5The fee percentage, from 0 to 1, with 2 decimals
The percentage of slippage protection, from 0 to 1, default 0.5
0.5Disable estimate gas, by default, is set to true. If you want to obtain estimated gas for the quote in this API, set disableEstimate to false. NOTE: The estimated gas value provided here may not be accurate and should only be used for displaying predicted gas on the UI. For sending transactions, please use the estimateGas function in the /swap API.
Whether split trade is enabled. Default is true.
Whether it is an exact out trade.
The best quote for the given trade parameters.
The amount of the token being traded
1000000000000000000The amount of the token to receive in exchange
275769482468993100000For exact in trades, deltaAmount is the minimum received amount. For exact out trades, deltaAmount is the maximum input amount.
274390635056648134500A number representing the type of trade being made
0Native currency amount will be used for this trade.
0Gas Price
56442235035the estimated amount of gas needed for the transaction, if sender address query parameters are provided and disableEstimate is set to false
11231133211313the estimate gas error, returned from RPC, if sender address query parameters are provided and disableEstimate is set to false
Execution revertedThe best quote for the given trade parameters.
Last updated